/****************************************************************************************************

		IActorDataComponent.h
		Copyright: (c) 2007 DAZ Productions. All rights reserved.

		Author:	Eric
		Date:	5/31/2007

****************************************************************************************************/

#ifndef __IActorDataComponent__
#define __IActorDataComponent__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "BasicDataComponent.h"


MCDEFINE_GUID_H(IID_IActorDataComponent);


struct ICustomGroup;




struct TActorDataInit
{
	TMCDynamicString	fName;
	TMCDynamicString	fInternalName;
	TTransform3D		fLocalToGlobal;
	int32				fActorIndex;
	int32				fParentIndex;
};

struct IActorDataComponent : public IMCUnknown
{
	virtual void			Initialize(TActorDataInit& actorInit) = 0;
	virtual ICustomGroup*	GetParametersRootGroup() = 0;
	virtual int32			GetActorIndex() const = 0;
	virtual void			GetInternalName(TMCString& name) = 0;
};

#endif
